# Generated by Django 4.0 on 2021-12-17 02:53

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='FileName',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='NtReadFile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('return_value', models.CharField(max_length=20)),
                ('buffet_len', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='NtOpenFile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('return_value', models.CharField(max_length=20)),
                ('file_name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='dynamic_behaviours.filename')),
            ],
        ),
        migrations.CreateModel(
            name='NtCreateFile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('return_value', models.CharField(max_length=20)),
                ('file_name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='dynamic_behaviours.filename')),
            ],
        ),
        migrations.CreateModel(
            name='DynamicBehaviour',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_files', models.ManyToManyField(to='dynamic_behaviours.NtCreateFile')),
                ('open_files', models.ManyToManyField(to='dynamic_behaviours.NtOpenFile')),
                ('read_files', models.ManyToManyField(to='dynamic_behaviours.NtReadFile')),
            ],
        ),
    ]
